SLASH_VEXALARM1 = "/vexalarm"
SLASH_VEXALARM2 = "/vexa"
function SlashCmdList.VEXALARM(msg, editbox)
	local command, args = msg:match("^(%S*)%s*(.-)$")
	
	if command == "" or command == "option" or command == "options" or command == "config" or command == "configs" then
		InterfaceOptionsFrame_OpenToCategory(vexalarm_optionpanel)
	elseif command == "profile" then
		vexalarm.options.spells.profiles.load(args, true)
	elseif command == "defaults" then
		print("|CFFFF7D0AVex Alarm|r - Defaults loaded")
		vexalarm.initialize.loadSV(true)
	elseif command == "test" then
		local difficultyID  = select(3, GetInstanceInfo())
		vexdebugs.print('vexalarm.warning.getAreaCode() | difficultyID', vexalarm.warning.getAreaCode().." | "..difficultyID)
	elseif command == "debug" then
		vexalarm.debug = not(vexalarm.debug)
		if vexalarm.debug then
			print("|CFFFF7D0AVex Alarm|r - Debug outputs enabled")
		else
			print("|CFFFF7D0AVex Alarm|r - Debug outputs disabled")
		end
	elseif command == "enable" then
		vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["data"]["enableAddon"] = not(vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["data"]["enableAddon"])
		if vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["data"]["enableAddon"] then
			print("|CFFFF7D0AVex Alarm|r - Addon enabled")
		else
			print("|CFFFF7D0AVex Alarm|r - Addon diabled")
		end
		vexalarm.initialize.core(true)
	elseif command == "wrongspells" then
		if vexdebugs~=nil then
			print("|CFFFF7D0AVex Alarm|r - posting spells that cause errors")
			vexdebugs.print("vexalarm.wrongspells", vexalarm.wrongspells)
		end
	elseif command == "rw" then
		vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["activate"] = not(vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["activate"])
		if vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["activate"] then
			print("|CFFFF7D0AVex Alarm|r - Raid Warnings activated")
		else
			print("|CFFFF7D0AVex Alarm|r - Raid Warnings deactivated")
		end
		vexalarm.initialize.core(true)
	else
		print ("|CFFFF7D0AVex Alarm|r cmd list")
		print ("|CFFFF7D0A/vexalarm|r and |CFFFF7D0A/vexa|r can be used")
		print ("|CFFFF7D0A/vexalarm|r option/options/config/configs - opens the option frame")
		print ("|CFFFF7D0A/vexalarm|r defaults - resets the addon to defaults")
		print ("|CFFFF7D0A/vexalarm|r profile X - loads the spell-profil with the name 'X'")
		print ("|CFFFF7D0A/vexalarm|r enable - enables/disables the addon")
		print ("|CFFFF7D0A/vexalarm|r rw - enables/disables raid warnings")
	end
end

function vexalarm.createRndFrames()
		vexalarm.rndFrame1 = CreateFrame("Frame", nil, UIParent)
		vexalarm.rndFrame1:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
		vexalarm.rndFrame1:SetBackdropBorderColor(0,0,0,1)
		vexalarm.rndFrame1:SetFrameStrata("TOOLTIP")
		vexalarm.rndFrame1:SetWidth(50)
		vexalarm.rndFrame1:SetHeight(50)
		vexalarm.rndFrame1:ClearAllPoints()
		vexalarm.rndFrame1:SetPoint("CENTER", UIParent, "CENTER", -100, 50)
		
		vexalarm.rndFrame2 = CreateFrame("Frame", nil, UIParent)
		vexalarm.rndFrame2:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
		vexalarm.rndFrame2:SetBackdropBorderColor(0,0,0,1)
		vexalarm.rndFrame2:SetFrameStrata("TOOLTIP")
		vexalarm.rndFrame2:SetWidth(50)
		vexalarm.rndFrame2:SetHeight(50)
		vexalarm.rndFrame2:ClearAllPoints()
		vexalarm.rndFrame2:SetPoint("CENTER", UIParent, "CENTER", -100, 0)
		
		vexalarm.rndFrame3 = CreateFrame("Frame", nil, UIParent)
		vexalarm.rndFrame3:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
		vexalarm.rndFrame3:SetBackdropBorderColor(0,0,0,1)
		vexalarm.rndFrame3:SetFrameStrata("TOOLTIP")
		vexalarm.rndFrame3:SetWidth(50)
		vexalarm.rndFrame3:SetHeight(50)
		vexalarm.rndFrame3:ClearAllPoints()
		vexalarm.rndFrame3:SetPoint("CENTER", UIParent, "CENTER", -50, 50)
		
		vexalarm.rndFrame4 = CreateFrame("Frame", nil, UIParent)
		vexalarm.rndFrame4:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
		vexalarm.rndFrame4:SetBackdropBorderColor(0,0,0,1)
		vexalarm.rndFrame4:SetFrameStrata("TOOLTIP")
		vexalarm.rndFrame4:SetWidth(50)
		vexalarm.rndFrame4:SetHeight(50)
		vexalarm.rndFrame4:ClearAllPoints()
		vexalarm.rndFrame4:SetPoint("CENTER", UIParent, "CENTER", -50, 0)
		
		vexalarm.rndFrame5 = CreateFrame("Frame", nil, UIParent)
		vexalarm.rndFrame5:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
		vexalarm.rndFrame5:SetBackdropBorderColor(0,0,0,1)
		vexalarm.rndFrame5:SetFrameStrata("TOOLTIP")
		vexalarm.rndFrame5:SetWidth(50)
		vexalarm.rndFrame5:SetHeight(50)
		vexalarm.rndFrame5:ClearAllPoints()
		vexalarm.rndFrame5:SetPoint("CENTER", UIParent, "CENTER", 0, 50)
		
		vexalarm.rndFrame6 = CreateFrame("Frame", nil, UIParent)
		vexalarm.rndFrame6:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
		vexalarm.rndFrame6:SetBackdropBorderColor(0,0,0,1)
		vexalarm.rndFrame6:SetFrameStrata("TOOLTIP")
		vexalarm.rndFrame6:SetWidth(50)
		vexalarm.rndFrame6:SetHeight(50)
		vexalarm.rndFrame6:ClearAllPoints()
		vexalarm.rndFrame6:SetPoint("CENTER", UIParent, "CENTER", 0, 0)
		
		vexalarm.rndFrame7 = CreateFrame("Frame", nil, UIParent)
		vexalarm.rndFrame7:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
		vexalarm.rndFrame7:SetBackdropBorderColor(0,0,0,1)
		vexalarm.rndFrame7:SetFrameStrata("TOOLTIP")
		vexalarm.rndFrame7:SetWidth(50)
		vexalarm.rndFrame7:SetHeight(50)
		vexalarm.rndFrame7:ClearAllPoints()
		vexalarm.rndFrame7:SetPoint("CENTER", UIParent, "CENTER", 50, 50)
		
		vexalarm.rndFrame8 = CreateFrame("Frame", nil, UIParent)
		vexalarm.rndFrame8:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
		vexalarm.rndFrame8:SetBackdropBorderColor(0,0,0,1)
		vexalarm.rndFrame8:SetFrameStrata("TOOLTIP")
		vexalarm.rndFrame8:SetWidth(50)
		vexalarm.rndFrame8:SetHeight(50)
		vexalarm.rndFrame8:ClearAllPoints()
		vexalarm.rndFrame8:SetPoint("CENTER", UIParent, "CENTER", 50, 0)
		
		vexalarm.rndFrame9 = CreateFrame("Frame", nil, UIParent)
		vexalarm.rndFrame9:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
		vexalarm.rndFrame9:SetBackdropBorderColor(0,0,0,1)
		vexalarm.rndFrame9:SetFrameStrata("TOOLTIP")
		vexalarm.rndFrame9:SetWidth(50)
		vexalarm.rndFrame9:SetHeight(50)
		vexalarm.rndFrame9:ClearAllPoints()
		vexalarm.rndFrame9:SetPoint("CENTER", UIParent, "CENTER", 100, 50)
		
		vexalarm.rndFrame10 = CreateFrame("Frame", nil, UIParent)
		vexalarm.rndFrame10:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
		vexalarm.rndFrame10:SetBackdropBorderColor(0,0,0,1)
		vexalarm.rndFrame10:SetFrameStrata("TOOLTIP")
		vexalarm.rndFrame10:SetWidth(50)
		vexalarm.rndFrame10:SetHeight(50)
		vexalarm.rndFrame10:ClearAllPoints()
		vexalarm.rndFrame10:SetPoint("CENTER", UIParent, "CENTER", 100, 0)
		
		
		local r=1
		local g=1
		local b=1
		
		r=PowerBarColor["MANA"].r
		g=PowerBarColor["MANA"].g
		b=PowerBarColor["MANA"].b
		vexalarm.rndFrame1:SetBackdropColor(	r,		g, 		b, 		1)
		vexalarm.rndFrame2:SetBackdropColor(	vexpower.powerBar.getBarDifColor(r),vexpower.powerBar.getBarDifColor(g),vexpower.powerBar.getBarDifColor(b), 	1)
		
		r=PowerBarColor["RUNIC_POWER"].r
		g=PowerBarColor["RUNIC_POWER"].g
		b=PowerBarColor["RUNIC_POWER"].b
		vexalarm.rndFrame3:SetBackdropColor(	r,		g, 		b, 	1)
		vexalarm.rndFrame4:SetBackdropColor(	vexpower.powerBar.getBarDifColor(r),vexpower.powerBar.getBarDifColor(g),vexpower.powerBar.getBarDifColor(b), 	1)
		
		r=PowerBarColor["ENERGY"].r
		g=PowerBarColor["ENERGY"].g
		b=PowerBarColor["ENERGY"].b
		vexalarm.rndFrame5:SetBackdropColor(	r,		g, 		b, 	1)
		vexalarm.rndFrame6:SetBackdropColor(	vexpower.powerBar.getBarDifColor(r),vexpower.powerBar.getBarDifColor(g),vexpower.powerBar.getBarDifColor(b), 	1)
				
		r=PowerBarColor["RAGE"].r
		g=PowerBarColor["RAGE"].g
		b=PowerBarColor["RAGE"].b
		vexalarm.rndFrame7:SetBackdropColor(	r,		g, 		b, 	1)
		vexalarm.rndFrame8:SetBackdropColor(	vexpower.powerBar.getBarDifColor(r),vexpower.powerBar.getBarDifColor(g),vexpower.powerBar.getBarDifColor(b), 	1)
		
		r=PowerBarColor["FOCUS"].r
		g=PowerBarColor["FOCUS"].g
		b=PowerBarColor["FOCUS"].b
		vexalarm.rndFrame9:SetBackdropColor(	r,		g, 		b, 	1)
		vexalarm.rndFrame10:SetBackdropColor(	vexpower.powerBar.getBarDifColor(r),vexpower.powerBar.getBarDifColor(g),vexpower.powerBar.getBarDifColor(b), 	1)
		
		
		
												-- r=1		g=1		b=0
		-- vexalarm.rndFrame1:SetBackdropColor(	r,		g, 		b, 		1)
		-- vexalarm.rndFrame2:SetBackdropColor(	vexpower.powerBar.getBarDifColor(r, 0.4),vexpower.powerBar.getBarDifColor(g, 0.3),vexpower.powerBar.getBarDifColor(b, 0.2), 	1)
		
												-- r=1		g=1		b=0
		-- vexalarm.rndFrame3:SetBackdropColor(	r,		g, 		b, 	1)
		-- vexalarm.rndFrame4:SetBackdropColor(	vexpower.powerBar.getBarDifColor(r, 0.2),vexpower.powerBar.getBarDifColor(g, 0.3),vexpower.powerBar.getBarDifColor(b, 0.4), 	1)
		
												-- r=0		g=1		b=0
		-- vexalarm.rndFrame5:SetBackdropColor(	r,		g, 		b, 	1)
		-- vexalarm.rndFrame6:SetBackdropColor(	vexpower.powerBar.getBarDifColor(r, 0.4),vexpower.powerBar.getBarDifColor(g, 0.2),vexpower.powerBar.getBarDifColor(b, 0.3), 	1)
				
												-- r=1		g=0		b=0
		-- vexalarm.rndFrame7:SetBackdropColor(	r,		g, 		b, 	1)
		-- vexalarm.rndFrame8:SetBackdropColor(	vexpower.powerBar.getBarDifColor(r, 0.4),vexpower.powerBar.getBarDifColor(g, 0.2),vexpower.powerBar.getBarDifColor(b, 0.3), 	1)
		
												-- r=0		g=0		b=1
		-- vexalarm.rndFrame9:SetBackdropColor(	r,		g, 		b, 	1)
		-- vexalarm.rndFrame10:SetBackdropColor(	vexpower.powerBar.getBarDifColor(r, 0.4),vexpower.powerBar.getBarDifColor(g, 0.2),vexpower.powerBar.getBarDifColor(b, 0.3), 	1)
end